#### D.13.6.4 displayPuiseuxExpansion

Procedure from library `tropical.lib` (see tropical_lib).

Usage:
  displayPuiseuxExpansion(puiseux[,#]); puiseux list, # list

Assume:
  puiseux is the output of puiseuxExpansion; the optional parameter # can be the string 'subst'

Return:
  none

Note:
  - the procedure displays the output of the procedure puiseuxExpansion
  - if the optional parameter 'subst' is given, then the expansion is substituted into the polynomial and the result is displayed
  - if the base field had a parameter and a minimal polynomial, then the new base field will have a parameter and a minimal polynomial; var(2) is the old parameter and it is displayed how the old parameter can be computed from the new one

Example:

    LIB "tropical.lib";
    ring r=0,(x,y),ds;
    poly f=x2-y4+x5y7;
    displayPuiseuxExpansion(puiseuxExpansion(f,3));

User manual for Singular version 4.4.1, 2025, generated by texi2html.